kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-deployer-role
rules:
- apiGroups: [""]
  resources: ["serviceaccounts"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["route.openshift.io"]
  resources: ["routes", "routes/custom-host"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["tekton.dev"]
  resources: ["tasks", "pipelines"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["triggers.tekton.dev"]
  resources: ["triggerbindings", "triggertemplates", "eventlisteners"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["rbac.authorization.k8s.io"]
  resources: ["roles", "rolebindings"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["batch"]
  resources: ["cronjobs"]
  verbs: ["create", "patch", "delete"]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-controller-to-argocd-deployer-role
roleRef:
  kind: Role
  name: argocd-deployer-role
  apiGroup: rbac.authorization.k8s.io
subjects:
- kind: ServiceAccount
  namespace: openshift-gitops
  name: openshift-gitops-argocd-application-controller
---
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-deployer-role-for-aardvark
rules:
- apiGroups: ["tekton.dev"]
  resources: ["clustertasks"]
  verbs: ["create", "patch", "delete"]
  resourceNames: ["jobtech-gitlab-set-status", "jobtech-openshift-client", "jobtech-yq"]
---
kind: ClusterRoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-controller-to-argocd-deployer-clusterwide-role
roleRef:
  kind: ClusterRole
  name: argocd-deployer-role-for-aardvark
  apiGroup: rbac.authorization.k8s.io
subjects:
- kind: ServiceAccount
  namespace: openshift-gitops
  name: openshift-gitops-argocd-application-controller
